> ## Documentation Index
> Fetch the complete documentation index at: https://docs.emite.do/llms.txt
> Use this file to discover all available pages before exploring further.

# List Inbox

> e-CF recibidos por /fe/recepcion para que Odoo cree facturas de compra.



## OpenAPI

````yaml /openapi/public-v1.json get /api/v1/client/inbox
openapi: 3.1.0
info:
  title: emite.do API
  description: >-
    API pública para emitir, consultar y operar e-CF ante la DGII. Autenticación
    por header X-API-Key. El POST /api/v1/ecf no promete el estado fiscal final:
    consulta o webhook.
  version: 1.0.0
servers:
  - url: https://api.emite.do
    description: Producción
security:
  - ApiKeyAuth: []
paths:
  /api/v1/client/inbox:
    get:
      tags:
        - client
      summary: List Inbox
      description: e-CF recibidos por /fe/recepcion para que Odoo cree facturas de compra.
      operationId: list_inbox_api_v1_client_inbox_get
      parameters:
        - name: acked
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            default: false
            title: Acked
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientInboxListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ClientInboxListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ClientInboxItem'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        limit:
          type: integer
          title: Limit
        offset:
          type: integer
          title: Offset
      type: object
      required:
        - items
        - total
        - limit
        - offset
      title: ClientInboxListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientInboxItem:
      properties:
        public_id:
          type: string
          title: Public Id
        encf:
          anyOf:
            - type: string
            - type: 'null'
          title: Encf
        ecf_type:
          type: string
          title: Ecf Type
        environment:
          type: string
          title: Environment
        status:
          type: string
          title: Status
        rnc_emisor:
          anyOf:
            - type: string
            - type: 'null'
          title: Rnc Emisor
        rnc_comprador:
          anyOf:
            - type: string
            - type: 'null'
          title: Rnc Comprador
        razon_social_emisor:
          anyOf:
            - type: string
            - type: 'null'
          title: Razon Social Emisor
        monto_total:
          anyOf:
            - type: string
            - type: 'null'
          title: Monto Total
        fecha_emision:
          anyOf:
            - type: string
            - type: 'null'
          title: Fecha Emision
        acked:
          type: boolean
          title: Acked
        xml_available:
          type: boolean
          title: Xml Available
        arecf_available:
          type: boolean
          title: Arecf Available
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - public_id
        - encf
        - ecf_type
        - environment
        - status
        - rnc_emisor
        - rnc_comprador
        - razon_social_emisor
        - monto_total
        - fecha_emision
        - acked
        - xml_available
        - arecf_available
        - created_at
      title: ClientInboxItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key de la empresa. Se muestra una sola vez al crearla.

````